
package de.ivu.elect.presentation.person.action;

import de.ivu.elect.business.person.entity.Personendaten;
import de.ivu.elect.presentation.menu.AbstractActionEntry;

public class PersonendatenEditActionResolver extends AbstractPersonendatenEditActionResolver {

  private static final long serialVersionUID = 1L;

  public PersonendatenEditActionResolver() {
    super();
  }

  @Override
  @SuppressWarnings("unchecked")
  protected AbstractActionEntry< ? extends Personendaten> resolveAction(Personendaten personendaten) {
    throw new IllegalArgumentException("Action not found [personendaten = " + personendaten + "]");
  }
}
